summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2020-12-15 12:16:27 -0600
committerVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2020-12-15 12:16:27 -0600
commite76352ea126bf2e4eadeda3c06c6c46c4b57b203 (patch)
treeac18ee62bffa76a4052162044e9fc30b9e4e41db /jjb
parentf4949b340cf51c4e155ee86a54334fb997c233f8 (diff)
Remove DMM jobs
The DMM project has been archived. This patch is to remove existing jobs. Signed-off-by: Vanessa Rene Valderrama <vvalderrama@linuxfoundation.org> Change-Id: I9371f6346a8ece0a13debbce679bec5f17b576a3
Diffstat (limited to 'jjb')
-rw-r--r--jjb/dmm/dmm.yaml253
-rwxr-xr-xjjb/dmm/include-raw-build.sh17
-rw-r--r--jjb/dmm/include-raw-dmm-csit-functional-virl.sh45
-rw-r--r--jjb/dmm/include-raw-dmm-test-checkstyle.sh29
4 files changed, 0 insertions, 344 deletions
diff --git a/jjb/dmm/dmm.yaml b/jjb/dmm/dmm.yaml
deleted file mode 100644
index fc916d659..000000000
--- a/jjb/dmm/dmm.yaml
+++ /dev/null
@@ -1,253 +0,0 @@
----
-#########################################################################
-#
-# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#########################################################################
-
-- project:
- name: dmm
- jobs:
- - 'dmm-verify-{stream}-checkstyle'
- - 'dmm-verify-{stream}-{os}'
- - 'dmm-merge-{stream}-{os}'
-
- project: 'dmm'
- os: 'ubuntu1604'
-
- stream:
- - master:
- branch: 'master'
- - non-dpdk:
- branch: 'none-dpdk'
- - DMM-2:
- branch: 'DMM-2'
-
-- project:
- name: dmm-csit
- jobs:
- - 'dmm-csit-verify-func-{stream}-{os}-virl'
-
- project: 'dmm'
- os: 'ubuntu1604'
-
- stream:
- - master:
- branch: 'master'
- - DMM-2:
- branch: 'DMM-2'
-
-- project:
- name: dmm-view
- views:
- - project-view
- project-name: dmm
-
-- job-template:
- name: 'dmm-verify-{stream}-checkstyle'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: 'dmm'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: 'dmm'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-dmm-test-checkstyle.sh
-
- publishers:
- - lf-infra-publish
-
-- job-template:
- name: 'dmm-verify-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: 'dmm'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: 'dmm'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-build.sh
-
- publishers:
- - lf-infra-publish
-
-- job-template:
- name: 'dmm-merge-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: 'dmm'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: ''
- choosing-strategy: 'default'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-merged:
- name: 'dmm'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-build.sh
-
- publishers:
- - lf-infra-publish
-
-- job-template:
- name: 'dmm-csit-verify-func-{stream}-{os}-virl'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
- archive-artifacts: 'csit/archive/*.*'
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: 'dmm'
- - gerrit-parameter:
- branch: '{branch}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: 'dmm'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-dmm-csit-functional-virl.sh
-
- publishers:
- - robot-report:
- output-path: 'csit'
- - lf-infra-publish
-
-- project:
- name: dmm-info
- project-name: dmm
- jobs:
- - gerrit-info-yaml-verify
- build-node: centos7-builder-2c-2g
- project: dmm
- branch: master
-
-- project:
- name: dmm-sonar
- project: dmm
- project-name: dmm
- mvn-settings: dmm-settings
- sonarcloud: true
- sonarcloud-project-organization: '{sonarcloud_project_organization}'
- sonarcloud-api-token: '{sonarcloud_api_token}'
- sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
- branch: master
- build-node: centos7-docker-2c-2g
- jobs:
- - gerrit-maven-sonar
diff --git a/jjb/dmm/include-raw-build.sh b/jjb/dmm/include-raw-build.sh
deleted file mode 100755
index c49fcec6e..000000000
--- a/jjb/dmm/include-raw-build.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -e -o pipefail
-
-# Make DMM
-./scripts/build.sh all
-
-echo "*******************************************************************"
-echo "* DMM BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
-
-# Run unit tests application
-#need to be added
-
-#echo "*******************************************************************"
-#echo "* DMM UNIT TESTS SUCCESSFUL"
-#echo "*******************************************************************"
diff --git a/jjb/dmm/include-raw-dmm-csit-functional-virl.sh b/jjb/dmm/include-raw-dmm-csit-functional-virl.sh
deleted file mode 100644
index 444d2611c..000000000
--- a/jjb/dmm/include-raw-dmm-csit-functional-virl.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/bash
-# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -xeu -o pipefail
-
-# Clone csit and start tests
-git clone https://gerrit.fd.io/r/csit
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
- exit 1
-fi
-
-mkdir -p ./csit/dmm/
-
-# Move the dmm to the csit dir
-rsync -av --progress --exclude="./csit" . ./csit/dmm/
-
-cd csit
-
-# execute dmm bootstrap script if it exists
-if [ -e bootstrap-DMM.sh ]
-then
- # make sure that bootstrap-DMM.sh is executable
- chmod +x bootstrap-DMM.sh
- # run the script
- ./bootstrap-DMM.sh
-else
- echo 'ERROR: No bootstrap-DMM.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/dmm/include-raw-dmm-test-checkstyle.sh b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
deleted file mode 100644
index 90b307141..000000000
--- a/jjb/dmm/include-raw-dmm-test-checkstyle.sh
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/bash
-# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-if grep 'checkstyle' CMakeLists.txt > /dev/null
-then
- cd build/
- cmake ..
- make checkstyle
- if [ $? -eq 0 ]; then
- echo "DMM checkstyle is SUCCESS"
- else
- echo "DMM checkstyle has FAILED"
- exit 1
- fi
-else
- echo "Can't find checkstyle target in CMakeLists.txt- skipping test checkstyle"
- exit 1
-fi \ No newline at end of file